<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php wp_title(''); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_stylesheet_uri(); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	// Support for threaded comments
	if ( is_singular() && get_option( 'thread_comments' ) )
		add_action( 'wp_enqueue_scripts', 'silverspot_enqueue_comment_reply' );
	wp_head();
?>
</head>

<body <?php body_class(); ?>>
<?php $silverspotOptions = get_option('silverspot_theme_settings' ); ?>
<div id="wrapper" class="hfeed">
	<div id="header">
		<div id="masthead">
			<div id="branding" role="banner">
				<?php $heading_tag = ( is_home() || is_front_page() ) ? 'h1' : 'div';
				if ( display_header_text() )
					$headerStyle = ' style="color:#' . get_header_textcolor() . ';"';
				else
					$headerStyle = ' style="display:none;"';
		?>
				<<?php echo $heading_tag; ?> id="site-title" class="site-title">
					<span>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"<?php echo $headerStyle; ?>><?php bloginfo( 'name' ); ?></a>
					</span>
				</<?php echo $heading_tag; ?>>
				<div id="topwidget"<?php if( $silverspotOptions['hide-search'] ) echo ' style="display: none;"'; ?>>
					<?php get_search_form();?>
				</div>
			    
			    <?php
			    $descriptionStyle = $silverspotOptions['silverspot_description_colour'] . '; ';
			    if( !display_header_text() ) $descriptionStyle .= ' display: none;';
				if ( !get_header_image() ) :
				?>
				<h2 id="site-description" style="color: #<?php echo $descriptionStyle; ?>"><?php bloginfo( 'description' ); ?></div>
				<?php
				endif;
				?><br class="clear">
				<?php
					
					if ( get_header_image() ) : ?>
						<div id="header-image">
						<img src="<?php header_image(); ?>" style="<?php echo HEADER_IMAGE_WIDTH; ?>px; height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;">
							<div style="color: #<?php echo $descriptionStyle; ?>" id="site-description"><?php bloginfo( 'description' ); ?></div>
						</div>
					<?php endif; ?>
			</div><!-- #branding -->

			<div id="access" role="navigation">
				<div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'silverspot' ); ?>"><?php _e( 'Skip to content', 'silverspot' ); ?></a></div>
				<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
			</div><!-- #access -->
		</div><!-- #masthead -->
	</div><!-- #header -->

	<div id="main">
